extends "scroll_movement.gd"


onready var notifier = $notifier

func _ready():
	notifier.connect("screen_exited", self, "_on_screen_exited")

func _on_screen_exited():
	queue_free()


func _physics_process(delta):
	move()


func _on_pick_bonus_body_entered(body):
	if body.name == "player2" : 
		Signals.emit_signal("gain",1)
		queue_free()
